%define	name	murasaki
%define	version	0.9.1
%define	release	2

Summary:	murasaki - Managers hot-pluggable hardware.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System Environment
URL:		http://www.dotaster.com/~shuu/linux/murasaki/
Vendor:		Shuu Yamaguchi <shuu@dotAster.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
PreReq:		chkconfig

%description
Murasaki automatically loads and unload modules for hot-pluggable devices using the new "Hotplug" feature in Linux 2.4 and later.

%prep
%setup -q

%build
make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin;
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d;
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d;
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc1.d;
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d;
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc4.d;
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc5.d;
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8;
mkdir -p $RPM_BUILD_ROOT/usr/share/man/ja/man8;
make DESTDIR=$RPM_BUILD_ROOT install

%post
/sbin/chkconfig --add murasaki

%preun
if [ $1 = 0 ];then
	/sbin/chkconfig --del murasaki
fi

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc Changes
%doc README README.eucJP
%dir /usr/lib/murasaki
%dir /usr/lib/murasaki/generic
%dir /usr/lib/murasaki/ieee1394
%dir /usr/lib/murasaki/input
%dir /usr/lib/murasaki/pci
%dir /usr/lib/murasaki/pcmcia_socket
%dir /usr/lib/murasaki/usb
%dir /usr/lib/murasaki/firmware
%dir /usr/lib/murasaki/net
%dir /usr/lib/murasaki/scsi
%dir /etc/murasaki/generic
%dir /etc/murasaki/input
%dir /etc/murasaki/ieee1394
%dir /etc/murasaki/pci
%dir /etc/murasaki/pcmcia_socket
%dir /etc/murasaki/usb
/sbin/murasaki
/etc/rc.d/init.d/murasaki
/usr/lib/murasaki/block/block
/usr/lib/murasaki/block/block_config
/usr/lib/murasaki/block/block_functions
/usr/lib/murasaki/block/block_mount
/usr/lib/murasaki/block/block_umount
/usr/lib/murasaki/firmware/firmware
/usr/lib/murasaki/generic/murasaki
/usr/lib/murasaki/ieee1394/murasaki
/usr/lib/murasaki/ieee1394/murasaki_init
/usr/lib/murasaki/input/murasaki
/usr/lib/murasaki/net/net
/usr/lib/murasaki/net/net_config
/usr/lib/murasaki/net/net_functions
/usr/lib/murasaki/pci/murasaki
/usr/lib/murasaki/pci/murasaki_init
/usr/lib/murasaki/pci/pci_functions
/usr/lib/murasaki/pcmcia_socket/murasaki
/usr/lib/murasaki/pcmcia_socket/murasaki_init
/usr/lib/murasaki/pcmcia_socket/pcmcia_socket_analyze
/usr/lib/murasaki/pcmcia_socket/pcmcia_socket_convert
/usr/lib/murasaki/pcmcia_socket/pcmcia_socket_functions
/usr/lib/murasaki/scsi/scsi
/usr/lib/murasaki/usb/murasaki
/usr/lib/murasaki/usb/murasaki_init
/usr/lib/murasaki/usb/usb_functions
/usr/lib/murasaki/common/auto_setup
/usr/lib/murasaki/common/command.template
/usr/lib/murasaki/common/env
/usr/lib/murasaki/common/func_desktop
/usr/lib/murasaki/common/func_debug
/usr/lib/murasaki/common/func_label
/usr/lib/murasaki/common/func_lock
/usr/lib/murasaki/common/func_log
/usr/lib/murasaki/common/func_path
/usr/lib/murasaki/common/func_rc
/usr/lib/murasaki/common/func_sysfs
/usr/lib/murasaki/common/func_user
/usr/lib/murasaki/common/func_wait
/usr/lib/murasaki/common/printer
/usr/lib/murasaki/common/printer_config
/usr/lib/murasaki/common/set_user
%config /etc/murasaki/murasaki.call
%config /etc/murasaki/murasaki.conf
%config /etc/murasaki/murasaki.depend
%config /etc/murasaki/murasaki.sticky
%config /etc/murasaki/murasaki.genericlist
%config /etc/murasaki/ieee1394/ieee1394map
%config /etc/murasaki/pci/pcimap
%config /etc/murasaki/pcmcia_socket/pcmcia_socketmap
%config /etc/murasaki/pcmcia_socket/pcmcia_resource
%config /etc/murasaki/usb/usbmap
/usr/share/man/man8/murasaki.8.gz
/usr/share/man/ja/man8/murasaki.8.gz

%changelog

